## org.codehaus.groovy.grails.web.converters
Interface Converter

All Known Implementing Classes:
  AbstractConverter, JSON, JSON, XML, XML

    public interface Converter

An interface that defines an Object that can convert an instance and render it to the response or a supplied writer

Author:
  Siegfried Puchbauer

Field Summary
`static String` `DEFAULT_REQUEST_ENCODING`

Method Summary
`void` `render(HttpServletResponse response)` Marshalls the target and writes it a HttpServletResponse The response will be comitted after this operation
`void` `render(Writer out)` Marshalls the target and writes it to a java.io.Writer

Field Detail

### DEFAULT_REQUEST_ENCODING

    static final String DEFAULT_REQUEST_ENCODING

See Also:
  Constant Field Values

Method Detail

### render

    void render(Writer out)
                throws ConverterException

  Marshalls the target and writes it to a java.io.Writer

  Parameters:
    `out` - The Writer to write to
  Throws:
    `ConverterException`

### render

    void render(HttpServletResponse response)
                throws ConverterException

  Marshalls the target and writes it a HttpServletResponse The response will be comitted after this operation

  Parameters:
    `response` - The response to write to
  Throws:
    `ConverterException`

Copyright (c) 2005-2006 The Grails project